-- data
require "data/animations"
require "data/shaders"
require "data/tiledata"
require "data/music"
require "data/sfx"
require "code/locale"

-- support functions
require "code/math"
require "code/hex"
require "code/in_out"

-- classes
require "code/objects"
require "code/level"
require "code/camera"
require "code/animation"
require "code/audio"

-- objects
require "code/entity"
require "code/collision"
require "code/lights"

-- functions
require "code/darkness"
require "code/debug"
require "code/demo"
require "code/keybind"
require "code/menu"
require "code/ui"

-- game loop
require "code/game"
require "code/gameworld"
require "code/editor"
